{ config, lib, pkgs, ... }:

{
  hardware.genode.framebuffer.driver = "intel";

  networking.interfaces.eth0 = {
    genode = {
      driver = "ipxe";
      stack = null;
    };
    useDHCP = true;
  };

  genode.vbox.guests = {
    nixos = {
      bootFormat = "iso";
      config = { config, lib, pkgs, ... }: {
        users.users.root.password = "nixos";
        services.openssh.permitRootLogin = lib.mkDefault "yes";
        services.mingetty.autologinUser = lib.mkDefault "root";
      };
    };
  };

}
